/* General */
:root {
    --blue: #1b98e0;
    --mediumblue: #1c86c3;
    --darkblue: #1876ad;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

body {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    font-family: 'Quicksand', sans-serif;
}

.display {
    display: flex;
    flex-flow: row;
    justify-content: flex-start;
}

a {
    text-decoration: none;
    color: var(--mediumblue);
}

a:hover {
    color: var(--mediumblue);
}
/*---*/
/* Header */
#header {
    background-color: var(--blue)
}

#header div.logo {
    height: 90px;
    line-height: 90px;
    padding-left: 20px;
    box-sizing: border-box;
}
/*---*/
/* SideNav */
#nav-left {
    width: 200px;
    height: calc(100vh - 90px);
    background: var(--mediumblue);
}

#nav-left a {
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    padding: 20px 10px;
    text-align: center;
    color: #fff;
    text-decoration: none;
    transition: all 0.3s ease;
}

#nav-left a:hover {
    background-color: var(--darkblue);
}

#nav-left a i, #nav-left a img {
    margin-bottom: 10px;
    font-size: 40px;
}

#nav-left a img {
    width: 40px;
    height: auto;
    margin: auto;
    filter: grayscale(100);
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}
/*---*/
/* Content */
#content {
    width: calc(100% - 200px);
    height: auto;
    overflow-y: scroll;
    padding: 60px 0;
    box-sizing: border-box;
}

.box-home {
    background-color: #f7f7f7;
    border-radius: 3px;
    box-sizing: border-box;
    text-align: center;
    transition: all 0.3s ease;
    margin-bottom: 30px;
}

.box-home a {
    display: inline-block;
    width: 100%;
    padding: 30px 15px;
    text-decoration: none;
}

.box-home:hover {
    background-color: #eaeaea;
}

.box-home i {
    font-size: 80px;
}

.box-home img {
    width: 80px;
    height: auto;
}
/*---*/
/* Code */
pre {
    background-color: #1d1f21;
    width: auto;
    min-width: 580px;
    max-width: 90%;
    color: #4f89e0;
    height: auto;
    display: inline-block;
    padding: 15px 30px 15px 15px;
    line-height: initial;
    margin: 0;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    border: none;
}

code {
    height: auto;
    display: inline-block;
}

div.code {
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
}

button.copy-code {
    border: none;
    background-color: var(--blue);
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
    display: inline-block;
}

button.copy-code i {
    color: #fff;
    font-size: 26px;
    padding: 20px;
}
/*---*/